Bug 38522 - NoAnswer traceback when changing DNS in network settings
NoAnswer traceback when changing DNS in network settings
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Network settings
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0-2-errata
Assigned To: Florian Best
Stefan Gohmann
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-12 16:51 CEST by Florian Best
Modified: 2015-07-16 14:24 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Error handling, External feedback
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2015-05-12 16:51:21 CEST
Die Ausführung des Kommandos setup/validate network ist fehlgeschlagen:

Traceback (most recent call last):
  File "%PY2.7%/univention/management/console/modules/__init__.py", line 176, in _decorated
    return function(self, request, *args, **kwargs)
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 316, in _response
    result = _multi_response(self, request)
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 460, in _response
    return list(function(self, iterator, *nones))
  File "%PY2.7%/univention/management/console/modules/decorators.py", line 282, in _fake_func
    yield function(self, *args)
  File "%PY2.7%/univention/management/console/modules/setup/__init__.py", line 473, in validate
    guessed_domain = guess_domain(obj)
  File "%PY2.7%/univention/management/console/modules/setup/__init__.py", line 459, in guess_domain
    guessed_domain = util.get_ucs_domain(nameserver)
  File "%PY2.7%/univention/management/console/modules/setup/util.py", line 844, in get_ucs_domain
    domain = get_domain(nameserver)
  File "%PY2.7%/univention/management/console/modules/setup/util.py", line 850, in get_domain
    fqdn = get_fqdn(nameserver)
  File "%PY2.7%/univention/management/console/modules/setup/util.py", line 861, in get_fqdn
    reverse_lookup = resolver.query(reverse_address, 'PTR')
  File "/usr/lib/python2.7/dist-packages/dns/resolver.py", line 858, in query
    raise_on_no_answer)
  File "/usr/lib/python2.7/dist-packages/dns/resolver.py", line 133, in __init__
    raise NoAnswer
NoAnswer


Remark:
DNS Einträge ändern

Version:
4.0-2 errata193 (Walle)
Comment 1 Florian Best univentionstaff 2015-07-14 11:32:03 CEST
NoAnswer is now also handled.
svn r62089 / r62091
Comment 2 Stefan Gohmann univentionstaff 2015-07-16 08:53:26 CEST
Code review: OK (r62089)

Tests: OK

YAML: OK

Merged to UCS 4.1: OK (r62091)
Comment 3 Janek Walkenhorst univentionstaff 2015-07-16 14:24:45 CEST
<http://errata.univention.de/ucs/4.0/243.html>